Help for IniCon
   Help for BmpLst

BmpLst is a Visual Basic custom control that provides a list box with pictures.  The picture and the text below it are centered within the list box.

About/Copyright

Getting Custom Controls Written

Layout

Properties


Layout

BmpLst combines both a line of text and a picture into one item in a list box.  Both are centered within the list box and the picture is positioned above the line of text.

The placement of both objects for the item is determined by the TopMargin, VertGap, and BottomMargin properties.  The use of each property is shown below:


Properties

BmpLst supports most of the standard control properties.  Unlike most list boxes, ItemData is a long integer (as opposed to short).  The standard properties supported are:

BackColor	Height	NewIndex

BorderStyle	HelpContextID	Parent

DragIcon	hWnd	Selected

DragMode	Index	Sorted

Enabled	ItemData	TabIndex

FontBold	Left	TabStop

FontItalic	List	Tag

FontName	ListCount	Top

FontSize	ListIndex	TopIndex

FontStrikeThru	MousePointer	Visible

FontUnderLine	MultiSelect	Width

ForeColor	Name

On top of those, here are the additional properties that BmpLst supports:

BorderEffect

BottomMargin

Picture

ScreenUpdate

TopMargin

VertGap


BottomMargin Property

Description

Determines the amount of space between the bottom of the text and the bottom of the entire item.

Usage

[form.][label.]BottomMargin

Remarks

BottomMargin determines how much space is added between the bottom of the displayed text, and the bottom of the entire item.  BottomMargin and TopMargin together determine how much space there is between the bottom of the text and the top of the next picture.

See the Layout section for more information on how a list item is placed on the screen.

Data Type

Integer (twips)


BorderEffect Property

Description

Determines what style of border to put around the list box.

Usage

[form.][label.]BorderEffect

Setting

The BorderEffect settings are:

Setting	Description

0	Normal border

1	Raised border

2	Lowered border

3	Inset border

Remarks

This property only takes effect when BorderStyle is set to 1 (Single Width).

Data Type

Integer (Enumerated)

Examples

Normal	Raised	Lowered	Inset


Picture Property

Description

Sets the picture for a particular item in the list.

Usage

[form.][label.]Picture(index)[ = picture]

Remarks

This property sets the picture for the item specified by index.  This must be a picture object (i.e., from another control, or loaded by a function such as LoadPicture).

Data Type

Integer


ScreenUpdate Property

Description

Controls screen update of control.

Usage

[form.][label.]ScreenUpdate = [update]

Remarks

If this property is set to False, BmpLst will not paint itself.  This allows for loading of the list without having to wait for multiple re-paints.  When this property is set to True, the control will paint itself when necessary.

Data Type

Integer (boolean)


TopMargin Property

Description

Determines the amount of space between the top of the picture and the top of the entire item.

Usage

[form.][label.]TopMargin

Remarks

TopMargin determines how much space is added between the top of the picture and the top of the entire item.  BottomMargin and TopMarginpropTopMargin together determine how much space there is between the bottom of the text and the top of the next picture.

See the Layout section for more information on how a list item is placed on the screen.

Data Type

Integer (twips)


VertGap Property

Description

Determines the amount of space between the bottom of the picture and the top of the text.

Usage

[form.][label.]VertGap

Remarks

VertGap determines how much space placed between the bottom of the picture and the top of the text.

See the Layout section for more information on how a list item is placed on the screen.

Data Type

Integer (twips)


About IniCon
About BmpLst

BmpLst was written by James Shields.  Inquiries can be sent to 71231,2066 on CompuServe, or 71231.2066@compuserve.com on Internet.  If you must send something via U.S. Mail, the address is:

James Shields

P.O. Box 31926

Seattle, WA  98103-1926

You can register this program by sending $20 ($25 for international orders) and your address.  CompuServe members may register by sending $15 and their account number (the registered version will be E-mailed to you).  CompuServe members may also register this package by going to the SWREG forum.  BmpLst is registered there.  BmpLst's registration ID number is 1059.

If you would like source code to BmpLst, send $45 ($50 for international).  CompuServe members can get the source code by sending $40.  It can be registered in the SWREG forum as registration ID number 1060.  Source code includes a registered version of the control (so you don't have to get both).

(C) Copyright 1993 by James Shields


Getting Custom Controls Written

If you or your organization would like to have custom controls written, contact either me or Zane Thomas (co-author of the Waite Group's VB How-To, 2nd Edition).  Here's how we can be reached:

James Shields

CompuServe: 71231,2066

US Mail: P.O. Box 31926; Seattle, WA 98103-1926

Zane Thomas:

CompuServe: 72060,3327

US Mail: P.O. Box 300; Indianola, WA  98342